
Name: proc_police
Version: 0.0.4
Release: 2
Summary: Prevents batch system jobs from launching daemons

Group: System Environment/Daemons
License: BSD
URL: svn://t2.unl.edu/brian/proc_police
Source0: %{name}-%{version}.tar.gz
Patch1: proc_police-bpf-fail.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
%{summary}

%prep
%setup -q
%patch1 -p0 -b bpf

%build
%configure
make %{?_smp_mflags}

%install

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 0755 src/proc_police.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/proc_police
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 0644 spec/proc_police.sysconfig  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/proc_police

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sbindir}/proc_police
%{_sysconfdir}/init.d/proc_police
%config(noreplace) %{_sysconfdir}/sysconfig/proc_police

%changelog
* Mon Jul  9 2012 Dave Love <d.love@liv.ac.uk> - 0.0.4-2
- Work around BPF failure in recent Red Hat 5

* Tue Jul 26 2011 Brian Bockelman <bbockelm@cse.unl.edu> 0.0.4-1
- No longer leak file descriptors of monitored processes.

* Mon May 30 2011 Brian Bockelman <bbockelm@cse.unl.edu> 0.0.3-1
- No longer kill processes with RUID 0.
- Mask syslog levels.
- Can now defeat simple fork bombs if not using syslog (syslog makes it too slow).

* Sat May 28 2011 Brian Bockelman <bbockelm@cse.unl.edu> 0.0.2-1
- Improved logging; syslog integration.

* Tue May 24 2011 Brian Bockelman <bbockelm@cse.unl.edu> 0.0.1-1
- Initial implementation of proc_police.

